Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetMinExclusive

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet
                  |
                  +--com.bea.schema.facet.NumericFacet
                        |
                        +--com.bea.schema.facet.FacetMinExclusive

public class FacetMinExclusive
extends NumericFacet

minExclusive is the exclusive lower bound of the value space for a datatype with the ordered property. The value of minExclusive must be in the value space of the base type.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetMinExclusive(java.lang.String val)`

Method Summary
`java.lang.String` | `getID()`

Methods inherited from class com.bea.schema.facet.NumericFacet
`getDouble, getLong, getValue, setDouble, setValue`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetMinExclusive

    public FacetMinExclusive(java.lang.String val)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)